library ieee;
use ieee.std_logic_1164.all;

entity Aregister is
  port(Clock: in std_logic;
       EA: in std_logic;
       LA: in std_logic;
       DataA: in std_logic_vector(7 downto 0);
       A: out std_logic_vector(7 downto 0));
end Aregister;

architecture Aregister_arch of Aregister is
  signal IA: std_logic_vector(7 downto 0):=(others=>'0');
  begin
    process(Clock,IA)
      begin
        if(Clock'event and Clock='1') then
          if(EA='1' and LA='0') then IA<=IA(6 downto 0) & '0';
          elsif(EA='0' and LA='1') then IA<=DataA;
          else IA<=IA;
          end if;
        end if;
        A<=IA;    
    end process;
end Aregister_arch;