library ieee;
use ieee.std_logic_1164.all;

entity multiplexer is
  port(Rsel:in std_logic;
       X: in std_logic_vector(7 downto 0);
       Y: in std_logic_vector(7 downto 0);
       O: out std_logic_vector(7 downto 0));
end multiplexer;

architecture multiplexer_arch of multiplexer is
  begin
    with Rsel select O<=
    X when '0',
    Y when '1',
    (others=>'0') when others;
end multiplexer_arch;