library ieee;
use ieee.std_logic_1164.all;

entity full_adder_tb is
end full_adder_tb;

architecture full_adder_tb_arch of full_adder_tb is
  component full_adder
    port(X: in std_logic;
         Y: in std_logic;
         CIN: in std_logic;
         S: out std_logic;
         COUT: out std_logic);
  end component;
  
  signal X,Y,CIN,S,COUT: std_logic;
  
  begin
    U: full_adder port map(X=>X,Y=>Y,CIN=>CIN,S=>S,COUT=>COUT);
    process
      begin
        X<='0';Y<='0';CIN<='0';wait for 10 ns;
        X<='0';Y<='1';CIN<='0';wait for 10 ns;
        X<='1';Y<='0';CIN<='1';wait for 10 ns;
        X<='1';Y<='1';CIN<='1';wait for 10 ns;
    end process;

end full_adder_tb_arch;