library ieee;
use ieee.std_logic_1164.all;

entity multiplexer_tb is
end multiplexer_tb;

architecture multiplexer_tb_arch of multiplexer_tb is
  component multiplexer
    port(Rsel:in std_logic;
         X: in std_logic_vector(7 downto 0);
         Y: in std_logic_vector(7 downto 0);
         O: out std_logic_vector(7 downto 0));
  end component;
  
  signal Rsel: std_logic;
  signal X: std_logic_vector(7 downto 0):="00000000";
  signal Y: std_logic_vector(7 downto 0):="10101010";
  signal O: std_logic_vector(7 downto 0);
  
  begin
    U: multiplexer port map(Rsel=>Rsel,X=>X,Y=>Y,O=>O);
    process
      begin
        Rsel<='0';wait for 10 ns;
        Rsel<='1';wait for 10 ns;
        Rsel<='0';wait for 10 ns;
        wait;
    end process;
end multiplexer_tb_arch;