library ieee;
use ieee.std_logic_1164.all;

entity Rregister is
  port(Clock: in std_logic;
       ER: in std_logic;
       LR: in std_logic;
       w: in std_logic;
       DataR: in std_logic_vector(7 downto 0);
       R: out std_logic_vector(7 downto 0));
end Rregister;

architecture Rregister_arch of Rregister is
  signal IR: std_logic_vector(7 downto 0):=(others=>'0');
  begin
    process(Clock,IR)
      begin
        if(Clock'event and Clock='1') then
          if(ER='1' and LR='0') then IR<=IR(6 downto 0) & w;
          elsif(ER='0' and LR='1') then IR<=DataR;
          else IR<=IR;
          end if;
        end if;
        R<=IR;    
    end process;
end Rregister_arch;