library ieee;
use ieee.std_logic_1164.all;

entity Rregister_tb is
end Rregister_tb;

architecture Rregister_tb_arch of Rregister_tb is
  component Rregister
    port(Clock: in std_logic;
         ER: in std_logic;
         LR: in std_logic;
         w: in std_logic;
         DataR: in std_logic_vector(7 downto 0);
         R: out std_logic_vector(7 downto 0));
  end component;
  
  signal Clock:std_logic:='0';
  signal ER:std_logic:='0';
  signal LR:std_logic:='0';
  signal w:std_logic:='0';
  signal DataR:std_logic_vector(7 downto 0);
  signal R:std_logic_vector(7 downto 0);
  
  begin
    U: Rregister port map(Clock=>Clock,ER=>ER,LR=>LR,w=>w,DataR=>DataR,R=>R);
    
    Clock<=not Clock after 5 ns;
    
    process
      begin
        w<='1';
        ER<='0';DataR<="01110101";wait for 10 ns;
        ER<='1';wait for 10 ns;
        LR<='1';wait for 10 ns;
        ER<='0';wait for 10 ns;
        LR<='0';DataR<="11100011";wait for 10 ns;
    end process;
 end Rregister_tb_arch;