library ieee;
use ieee.std_logic_1164.all;

entity statemachine_tb is
end statemachine_tb;

architecture statemachine_tb_arch of statemachine_tb is
  component statemachine
    port(Clock: in std_logic;
         s: in std_logic;
         z: in std_logic;
         cout: in std_logic;
         Rsel: out std_logic;
         LR: out std_logic;
         LC: out std_logic;
         ER: out std_logic;
         EA: out std_logic;
         EQ: out std_logic;
         EC: out std_logic);
  end component;
  
  signal Clock,s,z,cout,Rsel,LR,LC,ER,EA,EQ,EC: std_logic:='0';
  begin
    U: statemachine port map(Clock=>Clock,s=>s,z=>z,cout=>cout,Rsel=>Rsel,
                             LR=>LR,LC=>LC,ER=>ER,EA=>EA,EQ=>EQ,EC=>EC);
    
    Clock<=not Clock after 5 ns;
    
    process
      begin
        wait for 10 ns;
        s<='1';wait for 20 ns;
        cout<='1';wait for 40 ns;
        z<='1'; wait for 20 ns;
        s<='0'; wait for 50 ns;
        wait;
    end process;
end statemachine_tb_arch;