library ieee;
use ieee.std_logic_1164.all;

entity divide_140_9 is
end divide_140_9;

architecture divide_140_9_arch of divide_140_9 is
  component divide
    port(Clock: in std_logic;
         s: in std_logic;
         DataA: in std_logic_vector(7 downto 0);
         DataB: in std_logic_vector(7 downto 0);
         R: out std_logic_vector(7 downto 0);
         Q:out std_logic_vector(7 downto 0));
  end component;
  
  signal Clock: std_logic:='0';
  signal s: std_logic;
  signal DataA: std_logic_vector(7 downto 0);
  signal DataB: std_logic_vector(7 downto 0);
  signal R: std_logic_vector(7 downto 0);
  signal Q: std_logic_vector(7 downto 0);
  
  begin
    U: divide port map(Clock=>Clock,s=>s,DataA=>DataA,DataB=>DataB,R=>R,Q=>Q);
    
    Clock<=not Clock after 5 ns;
  
    process
      begin
        s<='0';wait for 10 ns;
        DataA<="10001100";DataB<="00001001";s<='1';wait for 250 ns;
        s<='0';wait for 30 ns;
        wait;
        
    end process;
end divide_140_9_arch;