library ieee;
use ieee.std_logic_1164.all;

entity full_adder is
  port(X: in std_logic;
       Y: in std_logic;
       CIN: in std_logic;
       S: out std_logic;
       COUT: out std_logic);
end full_adder;

architecture full_adder_arch of full_adder is
begin
  S <= (X XOR Y) XOR CIN;
  COUT <= (X AND Y) OR (X AND CIN) OR (Y AND CIN);
end full_adder_arch;