library ieee;
use ieee.std_logic_1164.all;

entity Aregister_tb is
end Aregister_tb;

architecture Aregister_tb_arch of Aregister_tb is
  component Aregister
    port(Clock: in std_logic;
         EA: in std_logic;
         LA: in std_logic;
         DataA: in std_logic_vector(7 downto 0);
         A: out std_logic_vector(7 downto 0));
  end component;
  
  signal Clock:std_logic:='0';
  signal EA:std_logic:='0';
  signal LA:std_logic:='0';
  signal DataA:std_logic_vector(7 downto 0);
  signal A:std_logic_vector(7 downto 0);
  
  begin
    U: Aregister port map(Clock=>Clock,EA=>EA,LA=>LA,DataA=>DataA,A=>A);
    
    Clock<=not Clock after 5 ns;
    
    process
      begin
        EA<='0';DataA<="01110101";wait for 10 ns;
        EA<='1';wait for 10 ns;
        LA<='1';wait for 10 ns;
        EA<='0';wait for 10 ns;
        LA<='0';DataA<="11100011";wait for 10 ns;
    end process;
 end Aregister_tb_arch;