library ieee;
use ieee.std_logic_1164.all;

entity Bregister is
  port(Clock: in std_logic;
       EB: in std_logic;
       DataB: in std_logic_vector(7 downto 0);
       B: out std_logic_vector(7 downto 0));
end Bregister;

architecture Bregister_arch of Bregister is
  signal IB: std_logic_vector(7 downto 0):=(others=>'0');
  begin
    process(Clock,IB)
      begin
        if(Clock'event and Clock='1') then
          if EB='1' then IB<=DataB;
          else IB<= IB;
          end if;
        end if;
        B<=IB;
    end process;
end Bregister_arch;