library ieee;
use ieee.std_logic_1164.all;

entity Bregister_tb is
end Bregister_tb;

architecture Bregister_tb_arch of Bregister_tb is
  component Bregister
    port(Clock: in std_logic;
         EB: in std_logic;
         DataB: in std_logic_vector(7 downto 0);
         B: out std_logic_vector(7 downto 0));
  end component;
  
  signal Clock:std_logic:='0';
  signal EB:std_logic:='0';
  signal DataB:std_logic_vector(7 downto 0);
  signal B:std_logic_vector(7 downto 0);
  
  begin
    U: Bregister port map(Clock=>Clock,EB=>EB,DataB=>DataB,B=>B);
    
    Clock<=not Clock after 5 ns;
    
    process
      begin
        EB<='0';DataB<="01110101";wait for 10 ns;
        EB<='1';wait for 10 ns;
        EB<='0';DataB<="11100011";wait for 10 ns;
    end process;
 end Bregister_tb_arch;