library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity counter is
  port(Clock: in std_logic;
       LC: in std_logic;
       EC: in std_logic;
       z: out std_logic);
end counter;

architecture counter_tb of counter is
  signal C: std_logic_vector(3 downto 0):="1000";
  begin
    process(Clock,C)
      begin
        if(Clock'event and Clock='1') then
          if(LC='1' and EC='0') then C<="1000";
          elsif(LC='0' and EC='1') then C<=C-1;
          end if;
        end if;
        
        if(C="0001") then z<='1';
        else z<='0';
        end if;
    end process;
end counter_tb;