library ieee;
use ieee.std_logic_1164.all;

entity counter_tb is
end counter_tb;

architecture counter_tb_arch of counter_tb is
  component counter is
    port(Clock: in std_logic;
         LC: in std_logic;
         EC: in std_logic;
         z: out std_logic);
  end component;
  
  signal Clock: std_logic:='0';
  signal LC: std_logic;
  signal EC: std_logic;
  signal z: std_logic;
  
  begin
    U: counter port map(Clock=>Clock,LC=>LC,EC=>EC,z=>z);
    
    Clock<=not Clock after 5 ns;
    
    process
      begin
        EC<='0';LC<='1';wait for 10 ns;
        EC<='1';wait for 10 ns;
        LC<='0';wait for 80 ns;
        EC<='0';LC<='1';wait for 10 ns;
        EC<='1';LC<='0';wait for 10 ns;    
    end process;
end counter_tb_arch;