library ieee;
use ieee.std_logic_1164.all;

entity Qregister is
  port(Clock: in std_logic;
       EQ: in std_logic;
       w: in std_logic;
       Q: out std_logic_vector(7 downto 0));
end Qregister;

architecture Qregister_arch of Qregister is
  signal IQ: std_logic_vector(7 downto 0):=(others=>'0');
  begin
    process(Clock,IQ)
      begin
        if(Clock'event and Clock='1') then
          if EQ='1' then IQ<=IQ(6 downto 0) & w;
          else IQ<=IQ;
          end if;
        end if;
        Q<=IQ;    
    end process;
end Qregister_arch;