library ieee;
use ieee.std_logic_1164.all;

entity Qregister_tb is
end Qregister_tb;

architecture Qregister_tb_arch of Qregister_tb is
  component Qregister
    port(Clock: in std_logic;
         EQ: in std_logic;
         w: in std_logic;
         Q: out std_logic_vector(7 downto 0));
  end component;
  
  signal Clock:std_logic:='0';
  signal EQ:std_logic:='0';
  signal w:std_logic:='0';
  signal Q:std_logic_vector(7 downto 0);
  
  begin
    U: Qregister port map(Clock=>Clock,EQ=>EQ,w=>w,Q=>Q);
    
    Clock<=not Clock after 5 ns;
    
    process
      begin
        
        EQ<='0';w<='1';wait for 10 ns;
        EQ<='1';wait for 10 ns;
        EQ<='0';wait for 10 ns;
        EQ<='1';w<='1';wait for 10 ns;
        w<='0';wait for 10 ns;
    end process;
 end Qregister_tb_arch;